/* Copyright (c) 1999 Thorsten Kukuk
   Author: Thorsten Kukuk <kukuk@suse.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "nis_db.h"
#include "db_private.h"

db_status
db_standby (const char *table_name)
{
  table_t *tobj;
  int ret;

  if (table_name == NULL || strlen (table_name) == 0)
    return DB_BADTABLE;

  tobj = __get_table (table_name);
  if (tobj == NULL)
    return DB_BADTABLE;

  ret = fclose (tobj->fp_log);
  tobj->fp_log = NULL;
  if (ret)
    return DB_INTERNAL_ERROR;
  else
    return DB_SUCCESS;
}
